[arch-commits] Commit in gjs/repos (4 files)

Evangelos Foutras foutrelis at archlinux.org
Mon Nov 7 17:30:47 UTC 2016


    Date: Monday, November 7, 2016 @ 17:30:46
  Author: foutrelis
Revision: 280054

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gjs/repos/staging-i686/
  gjs/repos/staging-i686/PKGBUILD
    (from rev 280053, gjs/trunk/PKGBUILD)
  gjs/repos/staging-x86_64/
  gjs/repos/staging-x86_64/PKGBUILD
    (from rev 280053, gjs/trunk/PKGBUILD)

-------------------------+
 staging-i686/PKGBUILD   |   44 ++++++++++++++++++++++++++++++++++++++++++++
 staging-x86_64/PKGBUILD |   44 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

Copied: gjs/repos/staging-i686/PKGBUILD (from rev 280053, gjs/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2016-11-07 17:30:46 UTC (rev 280054)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gjs
+pkgver=1.46.0
+pkgrel=2
+pkgdesc="Javascript Bindings for GNOME"
+arch=(i686 x86_64)
+url="http://live.gnome.org/Gjs"
+license=(GPL)
+depends=(cairo gobject-introspection-runtime 'js>=24.2.0' 'gtk3')
+makedepends=('gobject-introspection' 'git' 'gnome-common')
+_commit=caeb97adf1f3de02fe5c9d0cd3c1434999a1a6ce
+source=("git://git.gnome.org/gjs#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+  
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}

Copied: gjs/repos/staging-x86_64/PKGBUILD (from rev 280053, gjs/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2016-11-07 17:30:46 UTC (rev 280054)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gjs
+pkgver=1.46.0
+pkgrel=2
+pkgdesc="Javascript Bindings for GNOME"
+arch=(i686 x86_64)
+url="http://live.gnome.org/Gjs"
+license=(GPL)
+depends=(cairo gobject-introspection-runtime 'js>=24.2.0' 'gtk3')
+makedepends=('gobject-introspection' 'git' 'gnome-common')
+_commit=caeb97adf1f3de02fe5c9d0cd3c1434999a1a6ce
+source=("git://git.gnome.org/gjs#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+  
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list